Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn.ssl
Class SSLLayeringStrategy

    java.lang.Object
      org.apache.http.nio.conn.ssl.SSLLayeringStrategy

All Implemented Interfaces:
  LayeringStrategy

Deprecated.

    @Deprecated
    public class SSLLayeringStrategy

extends Object
implements LayeringStrategy

Field Summary
`static String` | `SSL` Deprecated.
`static String` | `SSLV2` Deprecated.
`static String` | `TLS` Deprecated.

Constructor Summary
`SSLLayeringStrategy(KeyStore truststore)` Deprecated.
`SSLLayeringStrategy(KeyStore keystore, String keystorePassword)` Deprecated.
`SSLLayeringStrategy(KeyStore keystore, String keystorePassword, KeyStore truststore)` Deprecated.
`SSLLayeringStrategy(SSLContext sslContext)` Deprecated.
`SSLLayeringStrategy(SSLContext sslContext, org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)` Deprecated.
`SSLLayeringStrategy(String algorithm, KeyStore keystore, String keystorePassword, KeyStore truststore, SecureRandom random, org.apache.http.conn.ssl.TrustStrategy trustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)` Deprecated.
`SSLLayeringStrategy(String algorithm, KeyStore keystore, String keystorePassword, KeyStore truststore, SecureRandom random, org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)` Deprecated.
`SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy trustStrategy)` Deprecated.
`SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy trustStrategy, org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)` Deprecated.

Method Summary
`static SSLLayeringStrategy` | `getDefaultStrategy()` Deprecated.
`static SSLLayeringStrategy` | `getSystemDefaultStrategy()` Deprecated.
`protected void` | `initializeEngine(SSLEngine engine)` Deprecated.
`boolean` | `isSecure()` Deprecated.
`org.apache.http.nio.reactor.ssl.SSLIOSession` | `layer(org.apache.http.nio.reactor.IOSession ioSession)` Deprecated.
`protected void` | `verifySession(org.apache.http.nio.reactor.IOSession ioSession, SSLSession sslsession)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TLS

    public static final String TLS

  Deprecated.
  See Also:
    Constant Field Values

### SSL

    public static final String SSL

  Deprecated.
  See Also:
    Constant Field Values

### SSLV2

    public static final String SSLV2

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### SSLLayeringStrategy

    public SSLLayeringStrategy(String algorithm,
                               KeyStore keystore,
                               String keystorePassword,
                               KeyStore truststore,
                               SecureRandom random,
                               org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(String algorithm,
                               KeyStore keystore,
                               String keystorePassword,
                               KeyStore truststore,
                               SecureRandom random,
                               org.apache.http.conn.ssl.TrustStrategy trustStrategy,
                               org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(KeyStore keystore,
                               String keystorePassword,
                               KeyStore truststore)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(KeyStore keystore,
                               String keystorePassword)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(KeyStore truststore)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy trustStrategy,
                               org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(org.apache.http.conn.ssl.TrustStrategy trustStrategy)
                        throws NoSuchAlgorithmException,
                               KeyManagementException,
                               KeyStoreException,
                               UnrecoverableKeyException

  Deprecated.
  Throws:
    `NoSuchAlgorithmException`
    `KeyManagementException`
    `KeyStoreException`
    `UnrecoverableKeyException`

### SSLLayeringStrategy

    public SSLLayeringStrategy(SSLContext sslContext,
                               org.apache.http.conn.ssl.X509HostnameVerifier hostnameVerifier)

  Deprecated.

### SSLLayeringStrategy

    public SSLLayeringStrategy(SSLContext sslContext)

  Deprecated.

Method Detail

### getDefaultStrategy

    public static SSLLayeringStrategy getDefaultStrategy()

  Deprecated.

### getSystemDefaultStrategy

    public static SSLLayeringStrategy getSystemDefaultStrategy()

  Deprecated.

### isSecure

    public boolean isSecure()

  Deprecated.
  Specified by:
    `isSecure` in interface `LayeringStrategy`

### layer

    public org.apache.http.nio.reactor.ssl.SSLIOSession layer(org.apache.http.nio.reactor.IOSession ioSession)

  Deprecated.
  Specified by:
    `layer` in interface `LayeringStrategy`

### initializeEngine

    protected void initializeEngine(SSLEngine engine)

  Deprecated.

### verifySession

    protected void verifySession(org.apache.http.nio.reactor.IOSession ioSession,
                                 SSLSession sslsession)
                          throws SSLException

  Deprecated.
  Throws:
    `SSLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.